Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class UCMClearcaseRepository

    java.lang.Object
      com.pmease.quickbuild.repository.Repository
          com.pmease.quickbuild.repository.UCMClearcaseRepository

All Implemented Interfaces:
  java.io.Serializable

public class UCMClearcaseRepository
extends Repository

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`UCMClearcaseRepository()`

Method Summary
`protected void` | `buildFinished(Build build)` Indicates build has finished.
`protected void` | `checkout(Build build)` Check out codes for specified build.
`protected void` | `cleanupCheckoutStarted(java.lang.String workingDir, org.apache.log4j.Logger logger)` Give the repository a chance to do something before clean up checkouts.
`protected Revisions` | `getChangeListSince(DependentContext dependentContext, java.util.Date date, java.lang.String workingDir, org.apache.log4j.Logger logger)` Get change list since specified date.
`java.lang.String` | `getCleartoolExePath()` OGNL: Specify path to your cleartool executable file.
`java.lang.String` | `getMkviewExtraOpts()` OGNL: You may optionally specify extra options for the cleartool mkview sub command used by QuickBuild to create related Clearcase snapshot view for the current project.
`java.lang.String` | `getModificationDetectionConfig()` OGNL: This property will only take effect when the What to build property equals to <latest>.
`java.lang.Class` | `getModuleClazz()`
`java.lang.String` | `getProjectVob()` OGNL: Tag for the project vob, for example: \\pvob1.
`java.lang.String` | `getStream()` OGNL: Name of the UCM stream.
`java.util.List` | `getStreamBaselines(java.lang.String baselineType, org.apache.log4j.Logger logger)` Retrieve recommended baselines, foundation baselines or latest baselines of current stream
`java.lang.String` | `getViewStgLoc()` OGNL: Name of the Clearcase view storage location, which will be used as -stgloc option when creating Clearcase view for this project.
`java.lang.String` | `getVwsDir()` OGNL: This property is required only when the Clearcase view stgloc name property is empty.
`java.lang.String` | `getWhatToBuild()` OGNL: Specifies baselines you want to build inside the stream.
`java.util.Map` | `getWhatToBuildChoices()`
`protected void` | `label(Build build, java.lang.String label, java.lang.String comment)` Label checked out artifacts from this repository.
`void` | `setCleartoolExePath(java.lang.String cleartoolExePath)`
`void` | `setMkviewExtraOpts(java.lang.String mkviewExtraOpts)`
`void` | `setModificationDetectionConfig(java.lang.String modificationDetectionConfig)`
`void` | `setProjectVob(java.lang.String projectVob)`
`void` | `setStream(java.lang.String stream)`
`void` | `setViewStgLoc(java.lang.String viewStgLoc)`
`void` | `setVwsDir(java.lang.String vwsDir)`
`void` | `setWhatToBuild(java.lang.String whatToBuild)`
`void` | `validate(Editable editable)`

Methods inherited from class com.pmease.quickbuild.repository.Repository
`cleanupCheckoutStarted, doCheckout, doLabel, equals, getChangeListSince, getDate2Revisions, getEditor, getLoginMappingName, getLoginMappingNameSelectionModel, getModules, getName, getNameChoices, getQuietPeriod, hashCode, isCheckedOut, isModified, isModifiedSince, isQuietSince, notifyBuildFinished, resolveOgnlExpressions, setEditor, setLoginMappingName, setName, setQuietPeriod`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UCMClearcaseRepository

    public UCMClearcaseRepository()

Method Detail

### getViewStgLoc

    public java.lang.String getViewStgLoc()

  OGNL: Name of the Clearcase view storage location, which will be used as -stgloc option when creating Clearcase view for this project.

  Returns:

### setViewStgLoc

    public void setViewStgLoc(java.lang.String viewStgLoc)

### getProjectVob

    public java.lang.String getProjectVob()

  OGNL: Tag for the project vob, for example: \\pvob1.

  Returns:

### setProjectVob

    public void setProjectVob(java.lang.String projectVob)

### getVwsDir

    public java.lang.String getVwsDir()

  OGNL: This property is required only when the Clearcase view stgloc name property is empty. If specified, it should be parent directory of .vws directory for created snapshot view. For example, if you specify \\\\server1\\dir1 here, QuickBuild will use \\\\server1\\dir1\\<view tag>.vws as the -vws option to create Clearcase view. Here <view tag> will be replaced by actual view tag. NOTE: This value should be a writable UNC path on Windows platform.

  Returns:

### setVwsDir

    public void setVwsDir(java.lang.String vwsDir)

### getStream

    public java.lang.String getStream()

  OGNL: Name of the UCM stream.

  Returns:

### setStream

    public void setStream(java.lang.String stream)

### getWhatToBuild

    public java.lang.String getWhatToBuild()

  OGNL: Specifies baselines you want to build inside the stream. Multiple baselines are separated by space.

  Returns:

### setWhatToBuild

    public void setWhatToBuild(java.lang.String whatToBuild)

### getWhatToBuildChoices

    public java.util.Map getWhatToBuildChoices()

### getModificationDetectionConfig

    public java.lang.String getModificationDetectionConfig()

  OGNL: This property will only take effect when the What to build property equals to <latest>. It is used by QuickBuild to determine, if there are any changes in the repository since the last build. This property consists of multiple entries with each entry per line. Each entry is of the format <path>:<branch>. <path> is a path inside a vob. This path should start from the vob name, for example: \\myvob\\modules\\mymodule. <branch> stands for name of the branch. For sub branches, you don't need to specify the names of any \"super\" branches, just the name of the actual branch is enough.

  Returns:

### setModificationDetectionConfig

    public void setModificationDetectionConfig(java.lang.String modificationDetectionConfig)

### getMkviewExtraOpts

    public java.lang.String getMkviewExtraOpts()

  OGNL: You may optionally specify extra options for the cleartool mkview sub command used by QuickBuild to create related Clearcase snapshot view for the current project. Options that can be specified here are restricted to -tmode, -ptime, and -cachesize. For example you can specify -tmode insert_cr to use Windows end of line text mode.

  Returns:

### setMkviewExtraOpts

    public void setMkviewExtraOpts(java.lang.String mkviewExtraOpts)

### getCleartoolExePath

    public java.lang.String getCleartoolExePath()

  OGNL: Specify path to your cleartool executable file. For example: /usr/local/bin/cleartool. It should be specified here, if it does not exist in the system path.

  Returns:

### setCleartoolExePath

    public void setCleartoolExePath(java.lang.String cleartoolExePath)

### validate

    public void validate(Editable editable)

  Overrides:
    `validate` in class `Repository`

### getStreamBaselines

    public java.util.List getStreamBaselines(java.lang.String baselineType,
                                             org.apache.log4j.Logger logger)

  Retrieve recommended baselines, foundation baselines or latest baselines of current stream

  Returns:
  Throws:
    `org.apache.tools.ant.BuildException`

### cleanupCheckoutStarted

    protected void cleanupCheckoutStarted(java.lang.String workingDir,
                                          org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Give the repository a chance to do something before clean up checkouts. OGNL expressions have been resolved before call this method.

  Specified by:
    `cleanupCheckoutStarted` in class `Repository`
  Parameters:
    `workingDir` -
    `logger` -

### checkout

    protected void checkout(Build build)

  Description copied from class: `Repository`
  Check out codes for specified build. OGNL expressions have been resolved before call this method.

  Specified by:
    `checkout` in class `Repository`
  Parameters:
    `build` -

### getChangeListSince

    protected Revisions getChangeListSince(DependentContext dependentContext,
                                           java.util.Date date,
                                           java.lang.String workingDir,
                                           org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Get change list since specified date. OGNL expressions have been resolved before call this method.

  Specified by:
    `getChangeListSince` in class `Repository`
  Parameters:
    `dependentContext` -
    `date` -
    `workingDir` -
    `logger` -
  Returns:

### getModuleClazz

    public java.lang.Class getModuleClazz()

  Specified by:
    `getModuleClazz` in class `Repository`

### buildFinished

    protected void buildFinished(Build build)

  Description copied from class: `Repository`
  Indicates build has finished. OGNL expressions have been resolved before call this method.

  Specified by:
    `buildFinished` in class `Repository`
  Parameters:
    `build` -

### label

    protected void label(Build build,
                         java.lang.String label,
                         java.lang.String comment)

  Description copied from class: `Repository`
  Label checked out artifacts from this repository. OGNL expressions have been resolved before call this method.

  Specified by:
    `label` in class `Repository`
  Parameters:
    `build` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.